/*
Theme Name: Impreza Child
Template: Impreza
Version: 1.1
Author: Barth Medienhaus
Theme URI: https://impreza.us-themes.com/
Author URI: https://www.medien-haus.de/
Text Domain: impreza
*/

/*Add your own styles here:*/

section#shop ul.products li.custom_product .price {
    display: none;
}
.onlyforCart {
    padding: 0 !important;
}

section#shop .product-categories-archive {
    padding: 12px 0;
}
.shop-page-sidebar-section {
    padding: 30px 25px 30px 25px;
}
.shop-page-sidebar-section .w-post-elm.post_title.usg_post_title_1.woocommerce-loop-product__title.color_link_inherit a::after {
    position: absolute;
    content: "\f105";
    height: 18px;
    width: 18px;
    color: #212121;
    font-family: 'fontawesome';
    margin-left: 10px;
}
.shop-page-sidebar-section .w-post-elm.post_title.usg_post_title_1.woocommerce-loop-product__title.color_link_inherit a:hover::after {
   color: #a8195b;
}
h3.shop-cat-title-section {
    background-color: #ededed!important;
    margin-bottom: 0px;
    padding: 30px 25px 10px 25px;
    text-decoration: underline;
    text-underline-offset: 13px;
    font-size: 32px;
}
.shop-page-sidebar-section b {
    display: none;
    /* border-radius: 50%;
    padding: 1px 7px;
    font-weight: bold;
    color: #000;
    opacity: 1 !important;
    border-right: 3px solid #000;
    border-left: 3px solid #000; */
}
.shop-page-sidebar-section a:hover b {
    border-right: 3px solid #a8195b;
    border-left: 3px solid #a8195b;
}
.l-sidebar {
    padding: 4rem 0;
    width: var(--site-sidebar-width,25%);
    max-width: 325px;
}
.l-sidebar.active {
    position: fixed;
    top: 0;
    z-index: 1000;
   
}
.l-section-h .l-content {
    margin-left: auto;
}
.l-section.for_sidebar>div {
    
    flex-wrap: nowrap;
   
}
.summary_elements .button.summary_element_select,button.button.component_option_thumbnail_select {
    color: rgb(255, 255, 255) !important;
    background: var(--color-content-primary);
    border-color: transparent;
}
a.afrfqbt_single_page.single_add_to_cart_button {
    margin-top: 20px;
}
.component_content .component_summary {
    max-width: 310px;
    margin-bottom: 30px;
}
.populated.cart .composited_product_details_wrapper {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
}
.populated.cart .composited_product_images.images {
    width: 100% !important;
}
.woocommerce div.product .product_title {
    font-size: 34px !important;
    line-height: 40px;
}
.composited_product_details_wrapper .details.component_data {
    padding: 0 !important;
    width: 100% !important;
    display: block;
}
.composited_product_details_wrapper .details.component_data .component_wrap {
    text-align: center;
    margin-top: 15px;
}
.composite_form .composite_navigation.paged .next {
    margin: 0;
    text-align: center !IMPORTANT;
    float: none !IMPORTANT;
    text-align: center !IMPORTANT;
}
.woocommerce .products h2.woocommerce-loop-product__title {
    font-size: 22px !important;
    line-height: 28px;
}
.woocommerce .products .price {
    font-size: 18px;
    line-height: 22px;
}
.woocommerce .products .button {
    font-size: .88rem !important;
}
.composite_form .composite_navigation_inner {
    text-align: center;
    padding: 0 !important;
}
.component_options_inner ul.component_option_thumbnails_container {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -15px;
}
.component_options_inner .component_option_thumbnail_container {
    max-width: 25%;
    margin: 0 !important;
}

.composite_form .composite_navigation .next:after {
    right: 24px !important;
}
.composite_navigation {
    margin-top: 30px !important;
}
.composite_form .composite_navigation.paged .next:hover {
    background-color: #fff;
    color: #000;
}
.component_options_inner .component_option_thumbnail {
    margin: 10px;
    height: 100%;
}

.paginate-results {
    background-color: #f7f7f7;
    padding: 30px 30px 50px 30px;
    border: 1px solid #ccc;
}
h2.summary_title.step_title_wrapper {
    text-align: center;
    font-size: 32px;
    margin-bottom: 25px !important;
}
.composite_form .step_title_wrapper {

    margin-bottom: 0 !important;
}
span.component_title_text.step_title_text {
    display: block;
    text-align: center;
    font-size: 40px;
}
.composite_form .composite_navigation.paged .next {
    background-color: #000;
    padding: 15px 60px 15px 38px;
    position: relative;
    color: #fff;
    /* margin-top: 30px !important; */
    border: 1px solid #000;
    font-size: 18px;
}
.composite_summary .summary_element_data:first-of-type .summary_element_content {
    min-height: 50px;
    margin-bottom: 0;
}
.composite_summary .summary_element_data .summary_element_content {
    margin: 0 0 10px 0 !important;
}
.full_width .summary_elements li.summary_element {
    position: relative;
    padding-bottom: 45px;
    margin-bottom: 30px;
}
.composite_summary .summary_element_button{
    position: absolute;
    bottom: 20px;
    transform: translateX(-50%);
    left: 50%;
}
.component_option_thumbnail_container .thumbnail_buttons {
    bottom: -30px;
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
}
.composite_summary .summary_element_wrapper_inner {
    position: inherit !important;
}
.composite_summary ul.summary_elements {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -15px !important;
}
a.afrfqbt.button.add_to_cart_button.product_type_simple, a.button.product_type_simple.add_to_cart_button {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    padding: 14px 13px;
    margin: 0;
}
ul.products .product {
    padding-bottom: 60px;
    margin-bottom: 30px;
}
span.summary_element_content span.content_product_title {
    font-size: 18px;
    line-height: 22px;
    font-weight: 600;
}
.full_width ul.component_option_thumbnails_container li.component_option_thumbnail_container {
  
    position: relative;
    padding-bottom: 60px;
}
.composite_summary {
    background-color: #f7f7f7;
    padding: 40px 20px;
}
.composite_wrap {
    margin-top: 40px;
}
.composite_button button.disabled {
    cursor: not-allowed;
}
a.added_to_cart.added_to_quote.wc-forward {
    margin-top: 20px;
}
.composite_button .quantity {
    margin-right: 8px;
}
.single-product-class .option-val {
    display: flex;
    margin-bottom: 25px;
    align-items: center;
}
span.enter_length_error {
    font-size: 12px;
    color: #212121;
    font-style: italic;
}
.single-product-class .option-val label {
    max-width: 50%;
    flex: 0 0 50%;
    font-size: 16px;
}
.single-product-class .option-val select {
    max-width: 50%;
    flex: 0 0 50%;
    font-size: 16px;
    position: relative;
    -webkit-appearance: none; /* Remove default arrow for WebKit browsers */
    -moz-appearance: none; /* Remove default arrow for Firefox */
    appearance: none; /* Standard */
    background-image: url(images/chevron-down.png);
    background-repeat: no-repeat;
    background-position: 96% 50%;
    background-size: 20px;
}

.single-product-class h1 {
    font-size: 30px;
    line-height: 32px;
}
.single-product-class h2 {
    font-size: 24px;
    line-height: 30px;
    text-align: center;
}
.woocommerce div.product .cart {
    margin-bottom: 10px;
}
.product .product_meta {
    margin-top: 0px;
}
.woo-common-button {
    background-color: var(--color-content-primary);
    color: #fff;
    padding: 0.8em 1.8em;
    border-radius: 0.3em;
    font-weight: 600;
    min-width: 248px;
}
.woo-common-button:hover {
    background: var(--color-footer-bg);
}
div#custom-add-to-cart {
    margin-top: 30px;
}
.woocommerce-notices-wrapper {
    padding: 0 !important;
}
div#total-display-btn {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.woocommerce .product .summary .price {
    font-size: 24px;
    margin-bottom: 0;
    margin-top: 20px;
}
button#calculate-total.woo-common-button {
    min-width: auto;
    font-size: 16px;
}
button#mein-konto-btn.woo-common-button {
    min-width: auto;
    font-size: 16px;
}
.single-product-class .option-val-length {
    width: 100%;
}
.woo-common-button{
    position: relative;
}
.woo-common-button.loading:after {
    position: absolute;
    content: '';
    background-image: url(images/loading-gif.gif);
    height: 20px;
    width: 20px;
    background-size: cover;
    top: 50%;
    transform: translateY(-50%);
    right: 5px;
}
.wc-gzd-checkout .is-large .wc-block-checkout__sidebar {
    padding-left: 0;
}
.wc-gzd-checkout .wc-block-components-product-metadata ul.wc-block-components-product-details li {
    font-size: 14px;
    flex-direction: row;
}
.wc-gzd-checkout .wc-block-components-product-metadata ul.wc-block-components-product-details li span.wc-block-components-product-details__name {
    font-weight: 700;
}
.wc-gzd-checkout .wc-block-components-order-summary .wc-block-components-order-summary-item__total-price {
    min-width: auto;
}
#product_add_to_cart_form input:not([type=submit]):focus {
    box-shadow: none;
}
#product_add_to_cart_form input[type=radio] {
    position: relative;
    border: 1px solid var(--color-content-primary);
}
#product_add_to_cart_form input[type=radio]:before {
   
    height: 54%;
    width: 54%;
    margin: 0;
    background: var(--color-content-primary);
    position: absolute;
    top: 0;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
.custom_product_note {
    margin-top: 40px;
    color: #fff;
    padding: 10px 20px;
    background: var(--color-content-primary-grad);
    font-style: italic;
    text-align: center;
    font-size: 15px;
}
/* Style update: 17-01-25 */
.woocommerce .tepea-category-grid li.product-category, .woocommerce.post-type-archive #shop ul.products li, .woocommerce.tax-product_cat .products .product {
    text-align: center;
}
.woocommerce .tepea-category-grid li.product-category img, .woocommerce.post-type-archive #shop ul.products li img {
    min-height: 260px;
    height: 100%;
    max-height: 260px;
    border-radius: 4px;
    object-fit: cover;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    -o-border-radius: 4px;
}
.woocommerce .tepea-category-grid li.product-category h2.woocommerce-loop-product__title, .woocommerce.post-type-archive #shop ul.products li h2.woocommerce-loop-product__title {
    margin-top: 20px;
}
.woocommerce .tepea-category-grid li.product-category a.view-button, .woocommerce.post-type-archive #shop ul.products li a.button {
    box-shadow: 0px 0em 0em 0px rgba(0, 0, 0, 0.2);
    background: #086cb5;
    border-color: transparent;
    color: #ffffff !important;
    margin: 0;
}
.woocommerce .tepea-category-grid li.product-category a.view-button:hover, .woocommerce.post-type-archive #shop ul.products li a.button:hover {
    background: #1b588f;
}

.woocommerce.tax-product_cat .products .product img {
    display: block;
    width: 100%;
    max-height: 210px;
    min-height: 210px;
    object-fit: contain;
}






@media only screen and (min-width: 768px) and (max-width:1024px){
    .custom_product_note {
        margin: 40px 2.5rem 0;
    }
    .l-sidebar {
        max-width: 290px;
    }
    .l-section.for_sidebar>div {
        gap: 30px;
    }
    
    .shop-page-sidebar-section {
        padding: 25px 15px 25px 15px;
    }
    .woocommerce .products h2.woocommerce-loop-product__title {
        font-size: 26px !important;
        line-height: 30px;
    }
    .woocommerce-shop ul.products li.product .product-categories-archive-csm {
       
        font-size: 18px;
    }
    .woocommerce .products .price {
        font-size: 1rem;
    }
    .shop-page-sidebar-section .w-post-elm.post_title.usg_post_title_1.woocommerce-loop-product__title.color_link_inherit a::after {
        margin-left: 12px;
    }
    .component_options_inner .component_option_thumbnail_container {
        max-width: 50%;
        width: 50% !important;
    }
  
}
@media only screen and (min-width: 1025px) and (max-width:1299px){
    .composite_summary a.summary_element_select,a.afrfqbt.button.add_to_cart_button.product_type_simple {
       
        padding: 0.8em 1.2em;
    }
    .custom_product_note {
        margin: 40px 2.5rem 0;
    }
}
@media only screen and (min-width: 768px) and (max-width:1024px){
    a.afrfqbt.button.add_to_cart_button.product_type_simple, a.button.product_type_simple.add_to_cart_button {
      
        width: 70%;
    }
  
    .full_width .columns-4 .summary_elements li.summary_element {
        width: 50% !important;
    }
    .composite_summary .summary_element_image img.summary_element_content {
        width: 100%;
    }
   
}
@media only screen and (min-width: 768px) and (max-width:992px){
    .woocommerce .products .product {
        width: 50% !important;
    }
   
    .woocommerce .l-section.for_shop .woocommerce-ordering {
        float: none;
      
    }
    .woocommerce h1.page-title {
        line-height: inherit;
    }
    .full_width .columns-4 .summary_elements li.summary_element {
        width: 50%;
    }
    .woocommerce div.product .summary {
        width: 100%;
    }
}

@media only screen and (max-width: 767px) {
    /* style update: 17-01-25 */
    .woocommerce .tepea-category-grid li.product-category, .woocommerce.post-type-archive #shop ul.products li {
        padding-bottom: 0;
        margin-bottom: 50px;
    }
     /* style update Ends: 17-01-25 */
    .custom_product_note {
        margin: 40px 2.5rem 0;
    }
    .woo-common-button {
        padding: 1em 1em;
        min-width: 220px;
        font-size: 14px;
    }
    .single-product-class .option-val {
        flex-wrap: wrap;
        margin-bottom: 15px;
    }
    .single-product-class .option-val label,.single-product-class .option-val select {
        max-width: 100%;
        flex: 0 0 100%;
    }
    .component_option_thumbnail_container .thumbnail_buttons {
       bottom: auto;
    }
    .small_width ul.component_option_thumbnails_container li.component_option_thumbnail_container {

        max-width: 100%;
    }
    .small_width .component_option_thumbnail .image {
        width: 100% !important;
    }
    .component_option_thumbnail_container .thumbnail_buttons {
        position: inherit;
    }
    span.component_title_text.step_title_text {
        font-size: 30px;
    }
    .small_width .summary_element_image {
        width: 100% !important;
    }
    .composite_summary .summary_element_data:first-of-type .summary_element_content {
        min-height: auto;
    }
    .composite_summary .summary_element_button {
        position: inherit;
        bottom: auto;
        transform: inherit;
        left: auto;
    }
    .composite_summary .summary_element_image img.summary_element_content {
        width: 100%;
    }
    .l-section.for_sidebar>div {
        flex-direction: column-reverse;
    }
    .l-section.for_sidebar>div {
        flex-wrap: wrap;
    }
    .l-sidebar {
        padding: 1rem 0;
    }
    .woocommerce h1.page-title {
        line-height: initial;
    }
    .woocommerce .products h2.woocommerce-loop-product__title {
        font-size: 26px;
        line-height: 30px;
    }
    .woocommerce-shop ul.products li.product .product-categories-archive-csm {
       
        font-size: 16px;
    }
    .woocommerce .products .price {
        font-size: 1rem;
    }
}
